import axios from 'axios';
import { CLPublicKey } from 'casper-js-sdk';

const query = (props) => {
  const accountHash = CLPublicKey.fromHex(props.publicKey).toAccountHashStr().substring(13);
  axios
    .get(`/api/queryMessage?accountHash=${accountHash}`)
    .then((response) => {
      alert(response.data);
    })
    .catch((error) => {
      console.error(error.message);
    });
};

function Query(props) {
  return <button type="button" onClick={() => query(props)}>Query</button>;
}

export default Query;
